slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetOptionsPrefix

Gets the prefix used for searching for all PEP options in the database.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetOptionsPrefix(PEP pep,const char *prefix[])

Not Collective

### Input Parameters

| pep | - the polynomial eigensolver context

### Output Parameters

| prefix | - pointer to the prefix string used is returned

### Note

On the Fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

PEPSetOptionsPrefix(), PEPAppendOptionsPrefix()

### Level

advanced

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages